
registerOutputEvent("FxDtsBrick","SetAsSpawnPoint","list TeamOne 0 TeamTwo 1 TeamThree 2 TeamFour 3 TeamFive 4 TeamSix 5 Client 6 None 7 All 8",1);

package MainPackage
{
	function gameConnection::SpawnPlayer(%client)
	{
		Parent::SpawnPlayer(%client);
		if(%client.brickRespawn !$= "")
		{
			if(!isObject(%client.brickRespawn))
			{
				%client.brickRespawn="";
				return;
			}
			%x=getWord(%client.brickRespawn.getTransform(),0);
			%y=getWord(%client.brickRespawn.getTransform(),1);
			%z=getWord(%client.brickRespawn.getTransform(),2);
			%client.player.setTransform(%x SPC %y SPC %z+1);
		}
	
	}
};
activatePackage(MainPackage);

function FxDtsBrick::SetAsSpawnPoint(%brick,%this,%client)
{
	if($last_brick[%brick] !$= "" && $last_brick[%brick] != %this)
	{
		for(%i=0; %i<clientGroup.getCount(); %i++)
		{
			%cl=clientGroup.getObject(%i);
			if(%cl.tdmTeam != %this)
				%cl.brickRespawn="";
		}
	}
	
	if(%this == 8)
		for(%i=0; %i<clientGroup.getCount(); %i++)
		{
			%cl=clientGroup.getObject(%i);
			%cl.brickRespawn=%brick;
		}

	if(%this == 7)
	{
		%client.BrickRespawn="";
		return;
	}
	
	if(%this==6)
		%client.brickRespawn=%brick;
	
	if(%client.minigame !$= "" && %client.tdmTeam == %this)
	{	
		%client.BrickRespawn=%brick;
		for(%i=0; %i<clientGroup.getCount(); %i++)
		{
			%cl=clientGroup.getObject(%i);
			
			if(GetMiniGameFromObject(%client) == getMinigameFromObject(%cl) && %cl.tdmteam == %client.tdmteam)
				%cl.brickRespawn=%brick;
		}
	}
	
	$last_brick[%brick]=%this;
	$last_brickClient[%brick]=%client;
}